Summary
Get All Loop Tasks
Description
Get all looped Tasks in a Workflow by Workflow details.
Route
POST /workflow_engine/getAllLoopTasks
Roles
admin
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| workflow_details |
object |
yes |
Workflow to get looped tasks. |
Copied to Clipboard
{
"workflow_details": {
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [],
"x": 0.36142061281337046,
"y": 0.502092050209205
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [],
"x": 0.36142061281337046,
"y": 0.502092050209205
},
"error_handler": {
"name": "childJob",
"summary": "exercitation",
"description": "nostrud adipisicing",
"app": "ex Duis",
"variables": {
"error": ""
},
"groups": [
"c99fbc80a03c8d6a202ce7b0",
"659e3edd41c56be8d4bcdfc0",
"bdb8a028f8482113b6271367",
"a3f701f082ee8d6b79d7f793",
"b05192a369921009e1c841f2"
],
"x": 0.36142061281337046,
"y": 0.502092050209205,
"type": "operation",
"deprecated": false,
"scheduled": true,
"retrySettings": {
"state": [
"success",
"failure",
"failure",
"error",
"error"
],
"autoRetry": false,
"limit": 10,
"delay": 1000,
"count": 5
}
}
},
"transitions": {},
"groups": [
"53dd2edfeb1d48a93ba03392",
"f4c654d1c57aa111a6a97ed8"
],
"_id": "5cb7b531d06cceb89fd21b1c",
"description": "amet",
"preAutomationTime": 250000,
"font_size": 12,
"created": "1956-05-01T16:48:02.765Z",
"created_by": "b7f2ad953e203314019c7f41",
"last_updated": "1974-11-26T08:21:16.038Z",
"last_updated_by": "780757193ab52d860007aab9",
"lastUpdatedVersion": "mollit sunt",
"tags": [],
"canvasVersion": 1
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"workflow_details": {
"$ref": "workflowDocument"
}
},
"required": [
"workflow_details"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| loop_tasks |
array |
looped Tasks of the Workflow. |
Copied to Clipboard
[
"cd34",
"cd34",
"cd34",
"cd34"
]